import Image from "next/image";
import Link from "next/link";

export interface ExpressionSetInfo {
  id: number;
  name: string;
  description: string;
  word_count: number;
}

export function ExpressionSetInfo({
  id,
  name,
  description,
  word_count,
}: ExpressionSetInfo) {
  return (
    <section className="expression-set-info">
      <h2 className="content-row">
        <span className="text-title grow">{name}</span>
        <Link
          href={{
            pathname: "expression-set/settings",
            query: {
              "set-id": id,
            },
          }}
          passHref
        >
          <a className="icon-button justify-end">
            <Image
              src="/icons/settings.svg"
              width="24"
              height="24"
              alt="settings"
            />
          </a>
        </Link>
      </h2>
      <span className="content-row text-meta">{word_count} word(s)</span>
      <p className="content-paragraph text-details">{description}</p>
    </section>
  );
}
