import { useState } from "react";
import { MockData } from "../mock";
import {
  Category,
  Expression,
  ExpressionSet,
  ExpressionToCategory,
  ExpressionToExpressionSet,
} from "../model";

export interface ExpressionData {
  categories: Category[];
  expressions: Expression[];
  expression_sets: ExpressionSet[];
  expression_to_category: ExpressionToCategory[];
  expression_to_expression_set: ExpressionToExpressionSet[];
}

export function useExpressionData(): ExpressionData {
  const [state] = useState(MockData);

  return {
    categories: state.categories,
    expressions: state.expressions,
    expression_sets: state.expression_sets,
    expression_to_category: state.expression_to_category,
    expression_to_expression_set: state.expression_to_expression_set,
  };
}
