import {
  Category,
  Expression,
  ExpressionToCategory,
  ExpressionToExpressionSet,
} from "../model";

interface GetExpressionsInSetParams {
  expression_set_id: number;
  expressions: Expression[];
  expression_to_expression_set: ExpressionToExpressionSet[];
}

export function getExpressionsInSet({
  expression_set_id,
  expression_to_expression_set,
  expressions,
}: GetExpressionsInSetParams): Expression[] {
  const expression_ids = expression_to_expression_set
    .filter((item) => item.expression_set_id === expression_set_id)
    .map((item) => item.expression_id);
  return expressions.filter((item) => expression_ids.includes(item.id));
}

interface GetCategoriesInExpressionParams {
  expression_id: number;
  categories: Category[];
  expression_to_category: ExpressionToCategory[];
}

export function getCategoriesInExpression({
  categories,
  expression_id,
  expression_to_category,
}: GetCategoriesInExpressionParams) {
  const category_ids = expression_to_category
    .filter((item) => item.expression_id === expression_id)
    .map((item) => item.category_id);
  return categories.filter((item) => category_ids.includes(item.id));
}
